﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_SETTLERELATION_GMC') 
 CREATE TABLE T_ISM_SETTLERELATION_GMC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGCONDITIONDIMTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGCONDITIONDIMKEY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGCONDITIONVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FGCONDITIONVALUESTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGCONDITIONVALUESTR_TAG NCLOB,
FGCOMPARISON NVARCHAR(10) DEFAULT 'in' NOT NULL,
FGLOGIC NVARCHAR(5) DEFAULT 'and' NOT NULL,
FGLEFT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FGRIGHT NVARCHAR(10) DEFAULT ' ' NOT NULL,
FGROUPRELATION BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLERELATIONS' AND KSQL_COL_NAME ='FSTARTEFFECTIVEDATE') 
 ALTER TABLE T_ISM_SETTLERELATIONS ADD (FSTARTEFFECTIVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLERELATIONS' AND KSQL_COL_NAME ='FENDEFFECTIVEDATE') 
 ALTER TABLE T_ISM_SETTLERELATIONS ADD (FENDEFFECTIVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLERELATIONS' AND KSQL_COL_NAME ='FPRIORITY') 
 ALTER TABLE T_ISM_SETTLERELATIONS ADD (FPRIORITY INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLEPARAM' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_ISM_SETTLEPARAM ADD (FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLEPARAM_L' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_ISM_SETTLEPARAM_L ADD (FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
