﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_BILLFIELDRST') 
 CREATE TABLE T_ISM_BILLFIELDRST (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSYSINIT CHAR(1) DEFAULT '0' NOT NULL,
FTARGETBILL NVARCHAR(72) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_BILLFIELDRST_L') 
 CREATE TABLE T_ISM_BILLFIELDRST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_BIZDIRECTJUDGE') 
 CREATE TABLE T_ISM_BIZDIRECTJUDGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FSYSINIT CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FBILL NVARCHAR(72) DEFAULT ' ' NOT NULL,
FDIRECT CHAR(1) DEFAULT '0' NOT NULL,
FBILLFILTERSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLFILTERSTR_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_BIZDIRECTJUDGE_L') 
 CREATE TABLE T_ISM_BIZDIRECTJUDGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_BOTPCONFIG_DETAIL' AND KSQL_COL_NAME ='FBILLFIELDRESETRULE') 
 ALTER TABLE T_ISM_BOTPCONFIG_DETAIL ADD (FBILLFIELDRESETRULE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGSETTLECFG' AND KSQL_COL_NAME ='FPRIORITY') 
 ALTER TABLE T_ISM_INTERORGSETTLECFG ADD (FPRIORITY INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_BILLFIELDRST_E') 
 CREATE TABLE T_ISM_BILLFIELDRST_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTARGETFILEDNAME NVARCHAR(72) DEFAULT ' ' NOT NULL,
FTARGETFILEDKEY NVARCHAR(72) DEFAULT ' ' NOT NULL,
FCONSTANTS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONSTANTSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
