﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_constraint.sql **/
 EXEC P_ALTERPK 'PK_ISM_INTERORGSETTLECFG', 'T_ISM_INTERORGSETTLECFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_INTORGCF_FNO') CREATE INDEX IDX_ISM_INTORGCF_FNO ON T_ISM_INTERORGSETTLECFG ( FNUMBER );


 EXEC P_ALTERPK 'PK_ISM_SETTLERELATIONS_L', 'T_ISM_SETTLERELATIONS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_SETLT_L_FLID') CREATE INDEX IDX_ISM_SETLT_L_FLID ON T_ISM_SETTLERELATIONS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_ISM_SETTLERELATION_E', 'T_ISM_SETTLERELATION_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_SETTLD_FSP') CREATE INDEX IDX_ISM_SETTLD_FSP ON T_ISM_SETTLERELATION_E ( FSUPPLIER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_SETTLD_FDE') CREATE INDEX IDX_ISM_SETTLD_FDE ON T_ISM_SETTLERELATION_E ( FDEMAND );


 EXEC P_ALTERPK 'PK_ISM_SETTLERELATIONS', 'T_ISM_SETTLERELATIONS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_SETLT_FNO') CREATE INDEX IDX_ISM_SETLT_FNO ON T_ISM_SETTLERELATIONS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_SETLT_FSORG') CREATE INDEX IDX_ISM_SETLT_FSORG ON T_ISM_SETTLERELATIONS ( FSETTLEORG );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_SETLT_FOWN') CREATE INDEX IDX_ISM_SETLT_FOWN ON T_ISM_SETTLERELATIONS ( FOWNER );


 EXEC P_ALTERPK 'PK_ISM_INTERORGPRICE', 'T_ISM_INTERORGPRICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_INT_OP_FNO') CREATE INDEX IDX_ISM_INT_OP_FNO ON T_ISM_INTERORGPRICE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_INT_OP_FCT') CREATE INDEX IDX_ISM_INT_OP_FCT ON T_ISM_INTERORGPRICE ( FCREATETIME  DESC );


 EXEC P_ALTERPK 'PK_ISM_INTERORGPRICE_L', 'T_ISM_INTERORGPRICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_INT_OP_L_FLID') CREATE INDEX IDX_ISM_INT_OP_L_FLID ON T_ISM_INTERORGPRICE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_ISM_INTERORGPRICEINFO', 'T_ISM_INTERORGPRICEINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_INT_OPE_FID') CREATE INDEX IDX_ISM_INT_OPE_FID ON T_ISM_INTERORGPRICEINFO ( FID );


 EXEC P_ALTERPK 'PK_ISM_SETTLEPLAN', 'T_ISM_SETTLEPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_STP_FNO') CREATE INDEX IDX_ISM_STP_FNO ON T_ISM_SETTLEPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_ISM_SETTLEPLAN_L', 'T_ISM_SETTLEPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_STP_L_FID') CREATE INDEX IDX_ISM_STP_L_FID ON T_ISM_SETTLEPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_ISM_SETTLEBILLRANGE', 'T_ISM_SETTLEBILLRANGE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISM_STR_FID') CREATE INDEX IDX_ISM_STR_FID ON T_ISM_SETTLEBILLRANGE ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_constraint.sql **/
