﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_INTERORGSETTLECFG') 
 CREATE TABLE T_ISM_INTERORGSETTLECFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILL BIGINT DEFAULT 0 NOT NULL,
FBALANCEORG NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBALANCEORGNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOWNERORG NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOWNERORGNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLFILTERSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLFILTERSTR_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_SETTLERELATIONS_L') 
 CREATE TABLE T_ISM_SETTLERELATIONS_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_SETTLERELATION_E') 
 CREATE TABLE T_ISM_SETTLERELATION_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FDEMAND BIGINT DEFAULT 0 NOT NULL,
FSALEORG BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERSTOREORG BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERLOCATION BIGINT DEFAULT 0 NOT NULL,
FPURORG BIGINT DEFAULT 0 NOT NULL,
FDEMANDWAREHOUSEORG BIGINT DEFAULT 0 NOT NULL,
FDEMANDWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FDEMANDLOCATION BIGINT DEFAULT 0 NOT NULL,
FINTERORGSETTLERULE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_SETTLERELATIONS') 
 CREATE TABLE T_ISM_SETTLERELATIONS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTRANSITONWER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOSTBEAR NVARCHAR(60) DEFAULT ' ' NOT NULL,
FDAMAGECOSTBEAR NVARCHAR(60) DEFAULT ' ' NOT NULL,
FOWNER BIGINT DEFAULT 0 NOT NULL,
FSETTLEORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_INTERORGPRICE') 
 CREATE TABLE T_ISM_INTERORGPRICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_INTERORGPRICE_L') 
 CREATE TABLE T_ISM_INTERORGPRICE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPICT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_INTERORGPRICEINFO') 
 CREATE TABLE T_ISM_INTERORGPRICEINFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUP BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FSETTLESOURCE CHAR(1) DEFAULT ' ' NOT NULL,
FTAXSOURCE CHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYSOURCE CHAR(1) DEFAULT '0' NOT NULL,
FADDNRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADDNFIXEDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTOMPRICEPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRICELEVEL INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_SETTLEPLAN') 
 CREATE TABLE T_ISM_SETTLEPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSETTLEPRICINGTIMEPOINT NVARCHAR(20) DEFAULT 'billauditdate' NOT NULL,
FBILLGENERATE CHAR(1) DEFAULT '0' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_SETTLEPLAN_L') 
 CREATE TABLE T_ISM_SETTLEPLAN_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_SETTLEBILLRANGE') 
 CREATE TABLE T_ISM_SETTLEBILLRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
