﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICE' AND KSQL_COL_NAME ='FSTARTEFFECTIVEDATE') 
 ALTER TABLE T_ISM_INTERORGPRICE ADD (FSTARTEFFECTIVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICE' AND KSQL_COL_NAME ='FENDEFFECTIVEDATE') 
 ALTER TABLE T_ISM_INTERORGPRICE ADD (FENDEFFECTIVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICEINFO' AND KSQL_COL_NAME ='FACCOUNTSYS') 
 ALTER TABLE T_ISM_INTERORGPRICEINFO ADD (FACCOUNTSYS BIGINT );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICEINFO' AND KSQL_COL_NAME ='FINVPRICE') 
 ALTER TABLE T_ISM_INTERORGPRICEINFO ADD (FINVPRICE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_BOTPCONFIG_DETAIL' AND KSQL_COL_NAME ='FSOURCEBILLTYPE') 
 ALTER TABLE T_ISM_BOTPCONFIG_DETAIL ADD (FSOURCEBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_BOTPCONFIG_DETAIL' AND KSQL_COL_NAME ='FTARGETBILLTYPE') 
 ALTER TABLE T_ISM_BOTPCONFIG_DETAIL ADD (FTARGETBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISM_BOTPCONFIG_DETAIL', 'FSOURCEBILLTYPEID', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISM_BOTPCONFIG_DETAIL', 'FTARGETBILLTYPEID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FSETTLEBILLTYPEID') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FSETTLEBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FSETTLERELATION') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FSETTLERELATION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FSETTLEPATH') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FSETTLEPATH BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FSETTLEDATE') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FSETTLEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FISCREAT') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FISCREAT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FISWRITEOFF') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FISWRITEOFF CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FISCREATPAYMENT') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FISCREATPAYMENT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FFAILCAUSE') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FFAILCAUSE NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FSUPSETTLEORG') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FSUPSETTLEORG BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG_DETAIL' AND KSQL_COL_NAME ='FOPPOSITEORG') 
 ALTER TABLE T_ISM_SETTLELOG_DETAIL ADD (FOPPOSITEORG BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISM_SETTLELOG_DETAIL', 'FSETTLEBILLTYPE', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISM_SETTLELOG_DETAIL', 'FSETTLEBILLTYPENUMBER', 'NULL', 'NULL', '1001', 'NULL';

 EXEC p_AlterColumn 'T_ISM_SETTLELOG', 'FSOURCETYPE', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG' AND KSQL_COL_NAME ='FCREATESTATUS') 
 ALTER TABLE T_ISM_SETTLELOG ADD (FCREATESTATUS CHAR(1) DEFAULT 'C' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG' AND KSQL_COL_NAME ='FCREATEDATE') 
 ALTER TABLE T_ISM_SETTLELOG ADD (FCREATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLELOG' AND KSQL_COL_NAME ='FEDITDATE') 
 ALTER TABLE T_ISM_SETTLELOG ADD (FEDITDATE DATETIME );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISM_SETTLELOG', 'FSOURCEBILL', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_ISM_SETTLELOG', 'FSETTLEDATE', 'NULL', 'NULL', '1001', 'NULL';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
