
-- 删除重复冗余的调度作业、调度任务类
DELETE FROM T_SCH_JOBPARAMS WHERE FID IN (SELECT FID FROM T_SCH_JOB WHERE FTASKCLASSNAME in ('kd.scmc.ism.task.ExecuteBizFlowTask','kd.scmc.ism.task.InnerSettleTask','kd.scmc.ism.task.InnerUnSettleTask'));
DELETE FROM T_SCH_JOB_L WHERE FID IN (SELECT FID FROM T_SCH_JOB WHERE FTASKCLASSNAME in ('kd.scmc.ism.task.ExecuteBizFlowTask','kd.scmc.ism.task.InnerSettleTask','kd.scmc.ism.task.InnerUnSettleTask'));
DELETE FROM T_SCH_JOB WHERE FTASKCLASSNAME in ('kd.scmc.ism.task.ExecuteBizFlowTask','kd.scmc.ism.task.InnerSettleTask','kd.scmc.ism.task.InnerUnSettleTask');
DELETE FROM T_SCH_TASKDEFINE WHERE FCLASSNAME in ('kd.scmc.ism.task.ExecuteBizFlowTask','kd.scmc.ism.task.InnerSettleTask','kd.scmc.ism.task.InnerUnSettleTask');

-- 新增调度作业
DELETE FROM T_SCH_JOB WHERE FID = '1302763783764290560';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FRUNMODE,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FCANSTOP,FPARAMS,FRUNBYORGID) VALUES ('1302763783764290560','kd.scmc.ism.task.ExecuteBizFlowTask','0','1312439501121019904',454363406997129287,'REALTIME','1','ism_executeBizFlow','1','1',0,0,'zh_CN','0','{}',0); 

DELETE FROM T_SCH_JOB WHERE FID = '1401455348736416768';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FRUNMODE,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FCANSTOP,FPARAMS,FRUNBYORGID) VALUES ('1401455348736416768','kd.scmc.ism.task.InnerSettleTask','0','1194916813344012288',454363406997129287,'BIZ','1','ism_executeSettleAsync','1','1',0,0,'zh_CN','0','{"entityType":"","ids":""}',0); 
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2TB1Z8C5H12+';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('1401455348736416768','0','0','2TB1Z8C5H12+',1,' ',' ','entityType'); 
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2TB1Z8C5H12/';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('1401455348736416768','0','0','2TB1Z8C5H12/',2,' ',' ','ids'); 

DELETE FROM T_SCH_JOB WHERE FID = '1194911889533106177';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FRUNMODE,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FCANSTOP,FPARAMS,FRUNBYORGID) VALUES ('1194911889533106177','kd.scmc.ism.task.InnerUnSettleTask','0','1194913040928274432',454363406997129287,'BIZ','1','ism_executeUnSettleAsync','1','0',0,0,'zh-CN','0','{"ids":""}',0); 
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2TB2Y50JVVW9';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('1194911889533106177','0','0','2TB2Y50JVVW9',1,' ',' ','ids'); 

DELETE FROM T_SCH_JOB_L WHERE FID IN ('1401455348736416768','1302763783764290560','1194911889533106177'); 
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1QRP4HLZ27+S', '1194911889533106177', 'zh_CN', '组织间结算批量执行反结算'); 
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2N=BZ9HTXW1G', '1302763783764290560', 'zh_CN', '组织间结算执行业务流'); 
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2TB+OOW+//6I', '1302763783764290560', 'zh_TW', '組織間結算執行業務流'); 
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2D47X4NX6MEA', '1401455348736416768', 'zh_CN', '组织间结算批量执行结算'); 

-- 新增调度任务类
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '1194916813344012288';
INSERT INTO T_SCH_TASKDEFINE(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1194916813344012288','kd.scmc.ism.task.InnerSettleTask','ism','ism_InnerSettle'); 
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '1194913040928274432';
INSERT INTO T_SCH_TASKDEFINE(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1194913040928274432','kd.scmc.ism.task.InnerUnSettleTask','ism','ism_InnerUnsettle'); 
DELETE FROM T_SCH_TASKDEFINE WHERE FID = '1312439501121019904';
INSERT INTO T_SCH_TASKDEFINE(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1312439501121019904','kd.scmc.ism.task.ExecuteBizFlowTask','ism','ism_ExecuteBizFlow'); 

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID IN ('1194916813344012288','1194913040928274432','1312439501121019904');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2TANCCXJR441', '1312439501121019904', 'zh_CN', '组织间结算执行业务流');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2TANCCXJR442', '1312439501121019904', 'zh_TW', '組織間結算執行業務流');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2TAZNG1GD/=A', '1194916813344012288', 'zh_CN', '组织间结算执行结算');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2TAZNG1GD/=B', '1194916813344012288', 'zh_TW', '組織間結算執行結算');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2TAZSSM5H6T/', '1194913040928274432', 'zh_CN', '组织间结算执行反结算');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2TAZSSM5H6T0', '1194913040928274432', 'zh_TW', '組織間結算執行反結算');
