﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICE' AND KSQL_COL_NAME ='FSUPPLIER') 
 ALTER TABLE T_ISM_INTERORGPRICE ADD (FSUPPLIER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICE' AND KSQL_COL_NAME ='FDEMAND') 
 ALTER TABLE T_ISM_INTERORGPRICE ADD (FDEMAND BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_PRICERULEPLAN_L') 
 CREATE TABLE T_ISM_PRICERULEPLAN_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_SETTLERELATION_E' AND KSQL_COL_NAME ='FPRICEMATCHTYPE') 
 ALTER TABLE T_ISM_SETTLERELATION_E ADD (FPRICEMATCHTYPE NVARCHAR(60) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICEINFO' AND KSQL_COL_NAME ='FPRICE') 
 ALTER TABLE T_ISM_INTERORGPRICEINFO ADD (FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISM_INTERORGPRICEINFO' AND KSQL_COL_NAME ='FPRIORITY') 
 ALTER TABLE T_ISM_INTERORGPRICEINFO ADD (FPRIORITY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_PRICERULEPLAN_E') 
 CREATE TABLE T_ISM_PRICERULEPLAN_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTARGETFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGETFIELDKEY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPRICERULEFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPRICERULEFIELDKEY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEFINETYPE NVARCHAR(60) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISM_PRICERULEPLAN') 
 CREATE TABLE T_ISM_PRICERULEPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTARGETBILL NVARCHAR(72) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ISM_table.sql **/
