<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>772428508784787456</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1637893544485</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>=9Q86DR2P+Q</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getSettleRelationValue('saleorg', '1', '1')</Expression>
                          <Description>结算路径中 销售组织</Description>
                          <ExprTran>getSettleRelationValue('saleorg', '1', '1')</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>settleorg</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getSettleRelationValue('supplier', '1', '1')</Expression>
                          <Description>结算路径中 供应方结算组织</Description>
                          <ExprTran>getSettleRelationValue('supplier', '1', '1')</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>587483350172726272</Expression>
                          <Description/>
                          <ExprTran>标准销售订单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>billtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>customer</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</Expression>
                          <Description>结算路径中 需求方结算组织的内部客户</Description>
                          <ExprTran>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>422876630176775168</Expression>
                          <Description/>
                          <ExprTran>物料类销售</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>biztype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>reccustomer</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</Expression>
                          <Description>结算路径中 需求方结算组织的内部客户</Description>
                          <ExprTran>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>settlecustomer</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</Expression>
                          <Description>结算路径中 需求方结算组织的内部客户</Description>
                          <ExprTran>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payingcustomer</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</Expression>
                          <Description>结算路径中 需求方结算组织的内部客户</Description>
                          <ExprTran>getInnerCustomer(getSettleRelationValue('demand', '1', '1') )</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>comment</TargetFieldKey>
                      <SourceFieldKey>comment</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>biztime</TargetFieldKey>
                      <SourceFieldKey>biztime</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizdate</TargetFieldKey>
                      <SourceFieldKey>biztime</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>2</Expression>
                          <Description/>
                          <ExprTran>后台生成</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>billcretype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>isvirtualbill</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>'true'</Expression>
                          <Description/>
                          <ExprTran>'true'</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>material</TargetFieldKey>
                      <SourceFieldKey>material</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxpty</TargetFieldKey>
                      <SourceFieldKey>auxpty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>remark</TargetFieldKey>
                      <SourceFieldKey>entrycomment</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>project</TargetFieldKey>
                      <SourceFieldKey>project</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialname</TargetFieldKey>
                      <SourceFieldKey>materialname</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>lot</TargetFieldKey>
                      <SourceFieldKey>lot</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialmasterid</TargetFieldKey>
                      <SourceFieldKey>material.masterid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>bos_org</Expression>
                          <Description/>
                          <ExprTran>核算组织</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>ownertype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>owner</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getSettleRelationValue('supplier', '1', '1')</Expression>
                          <Description>结算路径中 供应方结算组织</Description>
                          <ExprTran>getSettleRelationValue('supplier', '1', '1')</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialversion</TargetFieldKey>
                      <SourceFieldKey>mversion</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>lotnumber</TargetFieldKey>
                      <SourceFieldKey>lotnumber</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>warehouse</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getSettleRelationValue('supplierwarehouse', '1', '1')</Expression>
                          <Description>结算路径中 供应方仓库</Description>
                          <ExprTran>getSettleRelationValue('supplierwarehouse', '1', '1')</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>location</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getSettleRelationValue('supplierlocation', '1', '1')</Expression>
                          <Description>结算路径中 供应方库位</Description>
                          <ExprTran>getSettleRelationValue('supplierlocation', '1', '1')</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxunit</TargetFieldKey>
                      <SourceFieldKey>unit2nd</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxqty</TargetFieldKey>
                      <SourceFieldKey>qtyunit2nd</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>salesorg</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getSettleRelationValue('saleorg', '1', '1')</Expression>
                          <Description>结算路径中 销售组织</Description>
                          <ExprTran>getSettleRelationValue('saleorg', '1', '1')</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>qty</TargetFieldKey>
                      <SourceFieldKey>auditqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseqty</TargetFieldKey>
                      <SourceFieldKey>baseqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseunit</TargetFieldKey>
                      <SourceFieldKey>baseunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentity</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetSrcEntityNumber()</Expression>
                          <Description/>
                          <ExprTran>GetSrcEntityNumber()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>调拨申请单.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>billentry.id</Expression>
                          <Description/>
                          <ExprTran>物料明细.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillnumber</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryseq</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>billentry.seq</Expression>
                          <Description/>
                          <ExprTran>物料明细.序号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unit</TargetFieldKey>
                      <SourceFieldKey>unit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ispresent</TargetFieldKey>
                      <SourceFieldKey>isfreegift</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillentity</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetSrcEntityNumber()</Expression>
                          <Description/>
                          <ExprTran>GetSrcEntityNumber()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>billentry.id</Expression>
                          <Description/>
                          <ExprTran>物料明细.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>mainbillnumber</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>billentry.id</Expression>
                          <Description/>
                          <ExprTran>物料明细.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillentryseq</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>billentry.seq</Expression>
                          <Description/>
                          <ExprTran>物料明细.序号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>linetype</TargetFieldKey>
                      <SourceFieldKey>linetype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>configuredcode</TargetFieldKey>
                      <SourceFieldKey>configuredcode</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>tracknumber</TargetFieldKey>
                      <SourceFieldKey>tracknumber</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_stockorg</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>getSettleRelationValue('supplierwarehouseorg', '1', '1')</Expression>
                          <Description>结算路径中 供应方库存组织</Description>
                          <ExprTran>getSettleRelationValue('supplierwarehouseorg', '1', '1')</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>deliverrateup</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>0</Expression>
                          <Description/>
                          <ExprTran>0</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverqtydown</TargetFieldKey>
                      <SourceFieldKey>auditqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>deliverratedown</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>0</Expression>
                          <Description/>
                          <ExprTran>0</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverqtyup</TargetFieldKey>
                      <SourceFieldKey>auditqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverbaseqtydown</TargetFieldKey>
                      <SourceFieldKey>baseqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverbaseqtyup</TargetFieldKey>
                      <SourceFieldKey>baseqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.scmc.im.formplugin.botp.TransBill2SaleOrderConvertPlugin</ClassName>
                      <nabled>false</nabled>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[{"id":"0DXX6CDZ+NNY","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"0DXX6CDZ1RV2","value":"C"}],"baseDataIds":[]}],"forList":false}</FilterString>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>billstatus</FieldName>
                              <RightBracket/>
                              <Id>0DXX6CDZ+NNY</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0DXX6CDZ1RV2</Id>
                                  <Value>C</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description>单据必须已审核才能关联生成销售订单</Description>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>billentry</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>billentry</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <OptionPolicy>
                <OptionPolicy>
                  <MergeIntoLinkRow>true</MergeIntoLinkRow>
                  <OnlyReadBillTable>false</OnlyReadBillTable>
                </OptionPolicy>
              </OptionPolicy>
              <TargetEntityNumber>sm_salorder</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField>outorg</GroupByField>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>GroupByField</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>ISM预制转换规则_调拨申请单推销售订单</Name>
              <SourceEntityNumber>im_transapply</SourceEntityNumber>
              <Id>772428508784787456</Id>
              <isibled>false</isibled>
            </ConvertRuleElement>
          </RuleElement>
          <Id>772428508784787456</Id>
          <InheritPath/>
          <CreateDate>1575280653000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>1241107427621864448</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1637893544488</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>=9Q86DR2P+Q</BizappId>
      <TargetEntityNumber>sm_salorder</TargetEntityNumber>
      <SourceEntityNumber>im_transapply</SourceEntityNumber>
      <Id>772428508784787456</Id>
      <InheritPath></InheritPath>
      <CreateDate>1575280653000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
