-- 编码规则
DELETE FROM T_CR_CODERULE WHERE FID IN ('089CF4D0PF66','089CJA7T9P7R','089CM=JII=3+','089CT1N3VQT1','089COOV34VR1')

INSERT INTO T_CR_CODERULE (FID, FNUMBER, FRULETYPE, FBIZOBJECTID, FSPLITSIGN, FCTRLMODE, FAPPMODE, FEXAMPLE, FEXAMPLELENGTH, FENABLE, FSTATUS, FCREATORID, FCREATETIME, FMODIFIERID, FMODIFYTIME, FDISABLERID, FDISABLEDATE, FMASTERID, FISUPDATERECOVER) VALUES ('089CF4D0PF66', ' ', null, 'ism_botpconfig', '-', '1', '2', ' ', ' ', '1', 'C', 13466739, {ts '2019-09-19 15:57:11'}, 13466739, {ts '2019-09-19 15:57:29'}, null, null, '089CF4D0PF66', '0');
INSERT INTO T_CR_CODERULE (FID, FNUMBER, FRULETYPE, FBIZOBJECTID, FSPLITSIGN, FCTRLMODE, FAPPMODE, FEXAMPLE, FEXAMPLELENGTH, FENABLE, FSTATUS, FCREATORID, FCREATETIME, FMODIFIERID, FMODIFYTIME, FDISABLERID, FDISABLEDATE, FMASTERID, FISUPDATERECOVER) VALUES ('089CJA7T9P7R', ' ', null, 'ism_interorgsettlecfg', '-', '1', '2', ' ', ' ', '1', 'C', 13466739, {ts '2019-09-19 15:58:19'}, 13466739, {ts '2019-09-19 15:58:19'}, null, null, '089CJA7T9P7R', '0');
INSERT INTO T_CR_CODERULE (FID, FNUMBER, FRULETYPE, FBIZOBJECTID, FSPLITSIGN, FCTRLMODE, FAPPMODE, FEXAMPLE, FEXAMPLELENGTH, FENABLE, FSTATUS, FCREATORID, FCREATETIME, FMODIFIERID, FMODIFYTIME, FDISABLERID, FDISABLEDATE, FMASTERID, FISUPDATERECOVER) VALUES ('089CM=JII=3+', ' ', null, 'ism_interorgsettlerule', '-', '1', '2', ' ', ' ', '1', 'C', 13466739, {ts '2019-09-19 15:59:08'}, 13466739, {ts '2019-09-19 15:59:08'}, null, null, '089CM=JII=3+', '0');
INSERT INTO T_CR_CODERULE (FID, FNUMBER, FRULETYPE, FBIZOBJECTID, FSPLITSIGN, FCTRLMODE, FAPPMODE, FEXAMPLE, FEXAMPLELENGTH, FENABLE, FSTATUS, FCREATORID, FCREATETIME, FMODIFIERID, FMODIFYTIME, FDISABLERID, FDISABLEDATE, FMASTERID, FISUPDATERECOVER) VALUES ('089CT1N3VQT1', ' ', null, 'ism_settleplan', '-', '1', '2', ' ', ' ', '1', 'C', 13466739, {ts '2019-09-19 16:00:59'}, 13466739, {ts '2019-09-19 16:00:59'}, null, null, '089CT1N3VQT1', '0');
INSERT INTO T_CR_CODERULE (FID, FNUMBER, FRULETYPE, FBIZOBJECTID, FSPLITSIGN, FCTRLMODE, FAPPMODE, FEXAMPLE, FEXAMPLELENGTH, FENABLE, FSTATUS, FCREATORID, FCREATETIME, FMODIFIERID, FMODIFYTIME, FDISABLERID, FDISABLEDATE, FMASTERID, FISUPDATERECOVER) VALUES ('089COOV34VR1', ' ', null, 'ism_settlerelations', '-', '1', '2', ' ', ' ', '1', 'C', 13466739, {ts '2019-09-19 15:59:47'}, 13466739, {ts '2019-09-19 16:00:24'}, null, null, '089COOV34VR1', '0');

DELETE FROM T_CR_CODERULE_L WHERE FID IN ('089CF4D0PF66','089CJA7T9P7R','089CM=JII=3+','089CT1N3VQT1','089COOV34VR1')

INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CF4DAHKKL', '089CF4D0PF66', 'zh_CN', '组织间结算BOTP配置编码规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CF4DAHKKK', '089CF4D0PF66', 'zh_TW', '組織間結算BOTP配置編碼規則');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CJA7TBTDY', '089CJA7T9P7R', 'zh_CN', '组织间结算判定配置编码规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CJA7TBTDX', '089CJA7T9P7R', 'zh_TW', '組織間結算判定配置編碼規則');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CM=JIF5XV', '089CM=JII=3+', 'zh_CN', '组织间结算取价规则编码规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CM=JIF5XU', '089CM=JII=3+', 'zh_TW', '組織間結算取價規則編碼規則');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089COOV37ZY8', '089COOV34VR1', 'zh_CN', '组织间结算关系配置编码规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089COOV37ZY7', '089COOV34VR1', 'zh_TW', '組織間結算關係配置編碼規則');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CT1N3YV+8', '089CT1N3VQT1', 'zh_CN', '组织间结算方案配置编码规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('089CT1N3YV+7', '089CT1N3VQT1', 'zh_TW', '組織間結算方案配置編碼規則');

DELETE FROM T_CR_CODERULEENTRY WHERE FID IN ('089CF4D0PF66','089CJA7T9P7R','089CM=JII=3+','089CT1N3VQT1','089COOV34VR1')

INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CG9DQQM/X', '089CF4D0PF66', 0, '1', ' ', ' ', 'ISM', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CG9DQQM/Y', '089CF4D0PF66', 1, '1', '1', ' ', 'BOTP', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CG9DQQM/Z', '089CF4D0PF66', 2, '16', '1', ' ', ' ', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CJA8FNLKB', '089CJA7T9P7R', 0, '1', ' ', ' ', 'ISM', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CJA8FNLKC', '089CJA7T9P7R', 1, '1', '1', ' ', 'JUDGEMENT', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CJA8FNLKD', '089CJA7T9P7R', 2, '16', '1', ' ', ' ', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CM=KU=2T5', '089CM=JII=3+', 0, '1', ' ', ' ', 'ISM', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CM=KU=2T6', '089CM=JII=3+', 1, '1', '1', ' ', 'PRICERULE', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CM=KU=2T7', '089CM=JII=3+', 2, '16', '1', ' ', ' ', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CQZWQGIX1', '089COOV34VR1', 0, '1', ' ', ' ', 'ISM', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CQZWQGIX2', '089COOV34VR1', 1, '1', '1', ' ', 'RELATION', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CQZWQGIX3', '089COOV34VR1', 2, '16', '1', ' ', ' ', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CT1O13WQ6', '089CT1N3VQT1', 0, '1', ' ', ' ', 'ISM', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CT1O13WQ7', '089CT1N3VQT1', 1, '1', '1', ' ', 'PLAN', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');
INSERT INTO T_CR_CODERULEENTRY (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('089CT1O13WQ8', '089CT1N3VQT1', 2, '16', '1', ' ', ' ', ' ', 8, 1, 1, ' ', '1', '1', '1', '0', '-', '1');

